## ros-melodic-sick-tim 0.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sick_tim)

find_package(catkin REQUIRED
    COMPONENTS
      diagnostic_updater
      dynamic_reconfigure
      roscpp
      roslaunch
      sensor_msgs
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(libusb libusb-1.0)

find_package(Boost REQUIRED COMPONENTS system)

generate_dynamic_reconfigure_options(cfg/SickTim.cfg)

catkin_package(
    DEPENDS Boost libusb
    CATKIN_DEPENDS roscpp sensor_msgs diagnostic_updater dynamic_reconfigure
    LIBRARIES sick_tim_3xx
    INCLUDE_DIRS include)

include_directories(include ${catkin_INCLUDE_DIRS} ${libusb_INCLUDE_DIRS})

add_library(sick_tim_3xx
    src/sick_tim_common.cpp
    src/sick_tim_common_usb.cpp
    src/sick_tim_common_mockup.cpp
    src/abstract_parser.cpp)
add_dependencies(sick_tim_3xx ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
target_link_libraries(sick_tim_3xx
    ${catkin_LIBRARIES}
    ${libusb_LIBRARIES})

add_executable(sick_tim310s01
    src/sick_tim310s01.cpp
    src/sick_tim310s01_parser.cpp)
target_link_libraries(sick_tim310s01 sick_tim_3xx)

add_executable(sick_tim310
    src/sick_tim310.cpp
    src/sick_tim310_parser.cpp)
target_link_libraries(sick_tim310 sick_tim_3xx)

add_executable(sick_tim310_1130000m01
    src/sick_tim310_1130000m01.cpp
    src/sick_tim310_1130000m01_parser.cpp)
target_link_libraries(sick_tim310_1130000m01 sick_tim_3xx)

add_executable(sick_tim551_2050001
    src/sick_tim551_2050001.cpp
    src/sick_tim_common_tcp.cpp
    src/sick_tim551_2050001_parser.cpp)
target_link_libraries(sick_tim551_2050001 sick_tim_3xx)

add_executable(sick_mrs1000
  src/sick_mrs1000.cpp
  src/sick_mrs1000_communication.cpp
  src/sick_tim_common_tcp.cpp
  src/scan_and_cloud_parser.cpp
  src/sick_mrs1000_parser.cpp)
target_link_libraries(sick_mrs1000 sick_tim_3xx)

add_executable(sick_tim_datagram_test
    test/sick_tim_datagram_test.cpp
    src/sick_tim310s01_parser.cpp
    src/abstract_parser.cpp)
target_link_libraries(sick_tim_datagram_test sick_tim_3xx)

install(TARGETS sick_tim_3xx
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
    TARGETS
        sick_tim310s01
        sick_tim310
        sick_tim310_1130000m01
        sick_tim551_2050001
        sick_mrs1000
        sick_tim_datagram_test
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES include/${PROJECT_NAME}/abstract_parser.h
              include/${PROJECT_NAME}/sick_tim_common.h
              include/${PROJECT_NAME}/sick_tim_common_usb.h
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(DIRECTORY meshes/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes)

install(DIRECTORY urdf/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)

if(CATKIN_ENABLE_TESTING)
  roslaunch_add_file_check(launch)
endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-melodic-sick-tim (0.0.17-1bionic) bionic; urgency=high

  * Switch to non-deprecated node in launch files
    The state_publisher node is deprecated in Kinetic and was removed in
    Noetic.
  * Avoid compilation warning in libusb on noetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-sick-tim (0.0.16-1bionic) bionic; urgency=high

  * travis CI: Switch to Docker
  * Avoid runtime error if ROS time is 0
    See #76 <https://github.com/uos/sick_tim/issues/76>
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-sick-tim (0.0.15-1bionic) bionic; urgency=high

  * Add libusb-1.0-dev to build_export_depend (#75 <https://github.com/uos/sick_tim/issues/75>)
  * Contributors: Alex Moriarty

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-sick-tim (0.0.14-1bionic) bionic; urgency=high

  * Install udev rules during binary package installation
  * TiM551/TiM571: Fix HEADER_FIELDS calculation when device name is not set
    Fixes #72 <https://github.com/uos/sick_tim/issues/72>.
  * sick_mrs1000: Fix missing cloud time stamp (#69 <https://github.com/uos/sick_tim/issues/69>)
    Fixes #68 <https://github.com/uos/sick_tim/issues/68>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 08 Jan 2019 23:00:00 -0000

ros-melodic-sick-tim (0.0.13-1bionic) bionic; urgency=high

  * First release into melodic
  * Fix mrs1000 frame_id parameter (#61 <https://github.com/uos/sick_tim/issues/61>)
    If frame_id parameter was defined to something other than "laser", the node would not publish the /scan topic and the /cloud header.frame_id would always be "laser" even if a different one was defined. This fixes both issues.
  * Add min/max angle and range parameters to URDF macros (#60 <https://github.com/uos/sick_tim/issues/60>)
  * catkin test-flag around roslaunch_add_file_check (#59 <https://github.com/uos/sick_tim/issues/59>)
    Eval CATKIN_ENABLE_TESTING prior to call roslaunch_add_file_check to ensure the function is defined.
  * Contributors: Jacob Perron, Jeremie Deray, Patrick Hussey

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-sick-tim (0.0.12-1bionic) bionic; urgency=high

  * Fix memory leak (#56 <https://github.com/uos/sick_tim/issues/56>)
    s should be deleted before returning.
  * mrs1000: Make output REP-117 compliant (invalid = +inf)
    This is a port of e964fb4c to the MRS-1000.
  * sick mrs1000 driver (#55 <https://github.com/uos/sick_tim/issues/55>)
    This commit adds SICK MRS-1000 support. The initialization of the device
    has to be different, due to that I have made the methods for initialization
    virtual and now the mrs1000 driver runs different init code. Also the
    support for PointCloud2 is new.
  * Contributors: Sebastian Pütz, Jochen Sprickerhof, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-melodic-sick-tim (0.0.11-1bionic) bionic; urgency=high

  * Make output REP-117 compliant (#54 <https://github.com/uos/sick_tim/issues/54>)
    The laser scan topic now encodes invalid measurements as +inf instead of 0.
    This makes costmap2d treat all invalid measurements as out of range
    measurements and correctly clearing obstacles even when there is no valid
    measurement behind.  This can lead to some obstacles being incorrectly
    cleared (when the "0" returne by the SICK TiM actually means "invalid
    measurement" or "too close to measure" instead of "out of range"), but this
    happens much less frequently in practice than the problem of non-cleared
    obstacles.
  * .travis.yml: Add fix for travis-ci/travis-ci#8048 <https://github.com/travis-ci/travis-ci/issues/8048>
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 20 Dec 2017 23:00:00 -0000

ros-melodic-sick-tim (0.0.10-1bionic) bionic; urgency=high

  * Automatically reboot scanner if it reports an error code. (#44 <https://github.com/uos/sick_tim/issues/44>)
  * Update strtok logic. Fixes #42 <https://github.com/uos/sick_tim/issues/42> (#43 <https://github.com/uos/sick_tim/issues/43>)
  * Contributors: Derek King, Jochen Sprickerhof, Martin Guenther

 -- Martin Günther <martin.guenther@dfki.de>  Fri, 06 Jan 2017 23:00:00 -0000

ros-melodic-sick-tim (0.0.9-1bionic) bionic; urgency=high

  * timestamp diagnostics must take into account time_offset (#41 <https://github.com/uos/sick_tim/issues/41>)
  * Choose one of multiple connected scanners
  * Contributors: Christian Reinhard, procopiostein

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 08 Sep 2016 22:00:00 -0000

ros-melodic-sick-tim (0.0.8-1bionic) bionic; urgency=high

  * First release into kinetic
  * Remove dependency on driver_base
    The driver_base package is end-of-life, and we only needed it because of
    one enum.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 Apr 2016 22:00:00 -0000

ros-melodic-sick-tim (0.0.7-1bionic) bionic; urgency=high

  * Check for firmware versions without range output
    Closes #36 <https://github.com/uos/sick_tim/issues/36> .
  * Use intensity param in TiM 551/571 parser
    Also print a warning when the intensity param is set, but RSSI is not
    enabled on the scanner. See #32 <https://github.com/uos/sick_tim/issues/32>.
  * Other minor changes
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 14 Apr 2016 22:00:00 -0000

ros-melodic-sick-tim (0.0.6-1bionic) bionic; urgency=high

  * First release into Jade
  * Create sick_tim571_2050001.launch
    This launch file can be used directly to connect to TIM571 devices.
    See #28 <https://github.com/uos/sick_tim/issues/28>.
  * Contributors: Martin Günther, sacuar



=== debian/control ===
Source: ros-melodic-sick-tim
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-sensor-msgs
Homepage: http://wiki.ros.org/sick_tim
Standards-Version: 3.9.2

Package: ros-melodic-sick-tim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0, libusb-1.0-0-dev, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-xacro
Description: A ROS driver for the SICK TiM and the SICK MRS 1000 laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-sick-tim//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
